Class | Bio::DAS::SEGMENT
In: | lib/bio/io/das.rb
Parent: | Object

### Methods

new region

### Attributes

description | [RW] |
entry_id | [RW] |
features | [RW] |
label | [RW] |
orientation | [RW] |
start | [RW] |
stop | [RW] |
subparts | [RW] |
types | [RW] |
version | [RW] |

### Public Class methods

new()

[Source]

         # File lib/bio/io/das.rb, line 350
    350:     def initialize
    351:       @features = Array.new             # for FEATURE
    352:       @types = Array.new                # for TYPE
    353:     end

region(entry_id, start, stop)

[Source]

         # File lib/bio/io/das.rb, line 342
    342:     def self.region(entry_id, start, stop)
    343:       segment = self.new
    344:       segment.entry_id = entry_id
    345:       segment.start = start
    346:       segment.stop = stop
    347:       return segment
    348:     end

[Validate]